.TH "ompi_op_t" 3 "7 Dec 2005" "Version 0.1.1" "OpenMPI" \" -*- nroff -*-
.ad l
.nh
.SH NAME
ompi_op_t \- Back-end type of MPI_Op.  

.PP
.SH SYNOPSIS
.br
.PP
\fC#include <op.h>\fP
.PP
.SS "Data Fields"

.in +1c
.ti -1c
.RI "\fBopal_object_t\fP \fBsuper\fP"
.br
.RI "\fIParent class, for reference counting. \fP"
.ti -1c
.RI "char \fBo_name\fP [MPI_MAX_OBJECT_NAME]"
.br
.RI "\fIName, for debugging purposes. \fP"
.ti -1c
.RI "uint32_t \fBo_flags\fP"
.br
.RI "\fIFlags about the op. \fP"
.ti -1c
.RI "union {"
.br
.ti -1c
.RI "   \fBompi_op_c_handler_fn_t\fP * \fBc_fn\fP"
.br
.RI "\fIC handler function pointer. \fP"
.ti -1c
.RI "   \fBompi_op_fortran_handler_fn_t\fP * \fBfort_fn\fP"
.br
.RI "\fIFortran handler function pointer. \fP"
.ti -1c
.RI "} \fBo_func\fP [OMPI_OP_TYPE_MAX]"
.br
.RI "\fIArray of function pointers, indexed on the operation type. \fP"
.ti -1c
.RI "int \fBo_f_to_c_index\fP"
.br
.RI "\fIIndex in Fortran <-> C translation array. \fP"
.in -1c
.SH "Detailed Description"
.PP 
Back-end type of MPI_Op. 
.PP
.SH "Field Documentation"
.PP 
.SS "union { ... }   \fBompi_op_t::o_func\fP[OMPI_OP_TYPE_MAX]"
.PP
Array of function pointers, indexed on the operation type. 
.PP
For non-intrinsice MPI_Op's, only the 0th element will be meaningful. 

.SH "Author"
.PP 
Generated automatically by Doxygen for OpenMPI from the source code.
